Package org.silverpeas.components.resourcesmanager.service

## Class ResourceService

- java.lang.Object
- - org.silverpeas.components.resourcesmanager.service.ResourceService

-     @Service
      public class ResourceService
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addManager​(ResourceValidator manager)` |
    `void` | `addManagers​(long resourceId, List<ResourceValidator> managerIds)` |
    `void` | `createResource​(Resource resource)` |
    `void` | `deleteResource​(long id)` |
    `void` | `deleteResourcesFromCategory​(Long categoryId)` |
    `List<Resource>` | `findAllReservedResources​(long reservationIdToSkip, List<Long> aimedResourceIds, String startPeriod, String endPeriod)` |
    `List<Resource>` | `getBookableResources​(String componentId)` |
    `List<ResourceValidator>` | `getManagers​(long resourceId)` |
    `Resource` | `getResource​(long id)` |
    `List<Resource>` | `getResources()` |
    `List<Resource>` | `getResources​(String componentId)` |
    `List<Resource>` | `getResourcesByCategory​(Long categoryId)` |
    `boolean` | `isManager​(Long userId, Long resourceId)` |
    `List<Resource>` | `listAvailableResources​(String instanceId, String startDate, String endDate)` |
    `List<Resource>` | `listResourcesOfReservation​(Long reservationId)` |
    `void` | `removeAllManagers​(long resourceId)` |
    `void` | `removeManager​(ResourceValidator manager)` |
    `void` | `updateResource​(Resource resource)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceService

          public ResourceService()

  - ### Method Detail

    - #### createResource

          public void createResource​(Resource resource)

    - #### updateResource

          public void updateResource​(Resource resource)

    - #### getResources

          public List<Resource> getResources()

    - #### getBookableResources

          public List<Resource> getBookableResources​(String componentId)

    - #### getResources

          public List<Resource> getResources​(String componentId)

    - #### getResource

          public Resource getResource​(long id)

    - #### deleteResource

          public void deleteResource​(long id)

    - #### deleteResourcesFromCategory

          public void deleteResourcesFromCategory​(Long categoryId)

    - #### addManagers

          public void addManagers​(long resourceId,
                                  List<ResourceValidator> managerIds)

    - #### addManager

          public void addManager​(ResourceValidator manager)

    - #### getManagers

          public List<ResourceValidator> getManagers​(long resourceId)

    - #### removeAllManagers

          public void removeAllManagers​(long resourceId)

    - #### removeManager

          public void removeManager​(ResourceValidator manager)

    - #### getResourcesByCategory

          public List<Resource> getResourcesByCategory​(Long categoryId)

    - #### listAvailableResources

          public List<Resource> listAvailableResources​(String instanceId,
                                                       String startDate,
                                                       String endDate)

    - #### isManager

          public boolean isManager​(Long userId,
                                   Long resourceId)

    - #### listResourcesOfReservation

          public List<Resource> listResourcesOfReservation​(Long reservationId)

    - #### findAllReservedResources

          public List<Resource> findAllReservedResources​(long reservationIdToSkip,
                                                         List<Long> aimedResourceIds,
                                                         String startPeriod,
                                                         String endPeriod)